/* common */

/* header-top */
.container-property {
  width: 1200px;
  max-width: calc(100% - 48px);
  margin: 0 auto;
}

.property-header.property__bg-img {
  background-image: url(../images/banner/img1.jpeg);
}

.property-header {
  height: 370px;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgb(0 0 0 / 63%);
  mix-blend-mode: multiply;
  background-blend-mode: multiply;
}

.property__heading {
  font-size: 2.5rem;
  line-height: 2.25rem;
  font-weight: 600;
  text-align: center;
  color: #fff;
}

/* main */

.property-content {
  max-width: 992px;
  padding: 0px 20px;
  width: 100%;
  margin: 50px auto 0px;
}

.property-category-title {
  text-align: center;
  padding: 10px;
  background: #e3f4de;
  color: var(--green);
  font-weight: bold;
  font-size: 20px;
}

.property__list {
  margin-top: 50px;
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.property-item {
  display: block;
  width: 47%;
  position: relative;
  margin-bottom: 70px;
  border-top: none;
  background-color: #fff;
  border: 1px solid #e8ebee;
  border-radius: 10px;
  transition: 0.25s;
}

.property-item:hover {
  box-shadow: 0px 18px 50px rgba(0, 0, 0, 0.05);
}

.property-item:hover {
  -webkit-transform: scale(0.98);
  transform: scale(0.98);
}

.property-item a figure,
.property__image {
  position: relative;
}

/* .property-item a figure .property__labels,
.property__image .property__labels {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 101%;
  text-align: center;
  background: rgba(255, 255, 255, 0.8);
  padding: 15px 30px;
  font-size: 22px;
  font-weight: 600;
  color: #C01B1E;
  border: 1px solid #C01B1E;
  transform: translate(-50%, -50%);
  z-index: 100;
} */
.property-item a figure .property__labels,
.property__image .property__labels {
  position: absolute;
  left: 0%;
  top: 0px;
  width: 100%;
  height: 100%;
  overflow: hidden;
  pointer-events: none;
  z-index: 100;
  -webkit-transition: width 1s ease, height 1s ease;
  -moz-transition: width 1s ease, height 1s ease;
  -o-transition: width 1s ease, height 1s ease;
  transition: width 0.4s ease, height 0.4s ease;
}

.badge::before,
.badge::after {
  content: "";
  position: absolute;
  top: 0;
  margin: 0 -1px;
  width: 100%;
  height: 100%;
  background: inherit;
  min-width: 55px;
}

.badge::before {
  right: 100%;
}

.badge::after {
  left: 100%;
}

.bottom-left {
  position: absolute;
  bottom: 0;
  left: 0;
  padding: 8px;
  font-size: 20px;
  font-weight: bold;
  -ms-transform: translateX(-30%) translateY(0%) rotate(45deg);
  -webkit-transform: translateX(-30%) translateY(0%) rotate(45deg);
  transform: translateX(-30%) translateY(0%) rotate(45deg);
  -ms-transform-origin: bottom right;
  -webkit-transform-origin: bottom right;
  transform-origin: bottom right;
}

.top-left {
  position: absolute;
  top: 0;
  left: 0;
  padding: 8px;
  font-size: 20px;
  font-weight: bold;
  -ms-transform: translateX(-30%) translateY(0%) rotate(-45deg);
  -webkit-transform: translateX(-30%) translateY(0%) rotate(-45deg);
  transform: translateX(-30%) translateY(0%) rotate(-45deg);
  -ms-transform-origin: top right;
  -webkit-transform-origin: top right;
  transform-origin: top right;
}

.bottom-full {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  text-align: center;
  padding: 8px;
  font-size: 20px;
  font-weight: bold;
}

.badge.sold {
  background: var(--wh-main) !important;
  color: #ffffff;
}

.badge.sale {
  background: orange !important;
  color: #ffffff;
}

.badge.default {
  background: var(--wh-main);
  color: #ffffff;
}

.property__img {
  position: relative;
  width: 100%;
  height: 300px;
  object-fit: cover;
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
}

.property-item__price {
  position: absolute;
  display: block;
  top: -28px;
  right: 0;
}

.property-item__building {
  background: #f5f5f5;
  text-align: center;
  display: flex;
  align-items: baseline;
  padding: 0 20px;
  border-radius: 10px;
  flex-wrap: wrap;
  justify-content: flex-end;
}

.property-item__price .num {
  font-size: 2.25rem;
  color: #d93344;
  font-weight: bold;
  padding-left: 10px;
}

/* */
.property__label-list {
  display: flex;
  align-items: center;
  padding: 10px;
}

.property__lable-item {
  font-size: 0.625rem;
  color: #fff;
  padding: 8px 0;
  font-weight: 400;
  margin-right: 3px;
  margin-bottom: 5px;
  width: 9em;
  text-align: center;
}

.property__lable-item {
  background-color: #409f38;
}

.property__lable-item.property__lable-item-basic {
  background-color: #185e32;
}

.property-item__box {
  padding: 8px;
}

/*  */
.property-item__heading {
  font-size: 1.125rem;
  font-weight: 600;
}

.property__address {
  position: relative;
  font-size: 0.87rem;
  color: #777;
  margin-top: 10px;
}

.fa-map-marker-alt:before {
  color: #d93344;
}

.property-item__data {
  padding: 20px 5px 5px;
  display: flex;
  flex-wrap: wrap;
  font-size: 13px;
  align-items: center;
}

.property-item__data dt {
  font-size: 0.875rem;
  width: 5rem;
  margin-bottom: 10px;
  font-weight: 400;
  align-items: center;
}

.property-item__data dd {
  border-left: solid 1px #002649;
  padding-left: 15px;
  width: calc(100% - 5rem);
  margin-bottom: 10px;
  font-weight: 400;
}

.property__more {
  text-align: right;
  margin: 0px 83px 0;
  padding-bottom: 20px;
}

.property__more::after {
  content: "\f178";
  margin-left: 5px;
  font-family: "Font Awesome 6 free", "Font Awesome 6 Brands";
  font-weight: 900;
}

.property__images::before {
  content: "";
  position: absolute;
  top: 106px;
  left: 0;
  width: 100%;
  height: 100px;
  z-index: 2;
  background-color: #1d1d1d;
  transition: all 0.5s cubic-bezier(0.04, 0.435, 0.315, 0.9) 0s;
  -webkit-transition: all 0.5s cubic-bezier(0.04, 0.435, 0.315, 0.9) 0s;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  opacity: 0;
}

.property-item.end .property__images::before {
  opacity: 0.6;
}

.property-item.end .property__images::after {
  content: "View More \02192";
  color: #fff;
  font-size: 39px;
  font-weight: 500;
  position: absolute;
  left: 0;
  right: 0;
  text-align: center;
  top: 22%;
  z-index: 2;
  transition: all 0.5s cubic-bezier(0.04, 0.435, 0.315, 0.9) 0s;
  -webkit-transition: all 0.5s cubic-bezier(0.04, 0.435, 0.315, 0.9) 0s;
  backface-visibility: hidden;
  -webkit-backface-visibility: hidden;
  opacity: 0;
  transform: translateY(10px);
}

.property-item.end .property__images::after {
  opacity: 1;
  transform: none;
  content: "契約済み";
}

/* reserve-form */
/* common */
.Form-Item-Input {
  border: 1px solid #ddd;
  border-radius: 6px;
  height: 48px;
  flex: 1;
  width: 100%;
  max-width: 410px;
  background: #ffff;
  font-size: 1.6rem;
}

.Form-Item-Textarea {
  border: 1px solid #ddd;
  border-radius: 6px;
  /* margin-left: 40px; */
  padding-left: 1em;
  padding-right: 1em;
  height: 216px;
  flex: 1;
  width: 100%;
  max-width: 410px;
  background: #fff;
  font-size: 1.6rem;
}

/* reserve form */
.Form-Item-Input {
  border: 1px solid #ddd;
  border-radius: 6px;
  height: 48px;
  flex: 1;
  width: 100%;
  max-width: 410px;
  background: #ffff;
  font-size: 1.6rem;
}

.Form-Item-Textarea {
  border: 1px solid #ddd;
  border-radius: 6px;
  /* margin-left: 40px; */
  padding-left: 1em;
  padding-right: 1em;
  height: 216px;
  flex: 1;
  width: 100%;
  max-width: 410px;
  background: #fff;
  font-size: 1.6rem;
}

.Form-Item:nth-child(5) {
  border-bottom: 1px solid #ddd;
}

.Form-Item-Label {
  color: var(--text-color);
  width: 100%;
  letter-spacing: 0.05em;
  font-weight: bold;
  font-size: 1.7rem;
  margin-bottom: 0px;
}

.sub-contact {
  margin: auto;
  max-width: 1280px;
  padding: 2rem 5% 0;
}

.mw_wp_form_input .-input-none {
  display: none;
}

.sub-contact-form {
  background: #eae5e4;
  margin: 6.4rem auto 0;
  max-width: 960px;
  padding: 1.4rem;
}

.sub-contact-form__title {
  line-height: 2;
}

.sub-contact-form__memo {
  font-size: 1.4rem;
  letter-spacing: 0.1em;
  padding-top: 15px;
}

.sub-contact-form__desc {
  margin-top: 0.6rem;
  display: flex;
  flex-direction: column-reverse;
}

.sub-contact-form__text,
.sub-contact-form__textarea {
  background: rgba(250, 250, 250, 0.8);
  color: #333;
  padding: 0.8em;
  transition: box-shadow 0.5s cubic-bezier(0.075, 0.82, 0.165, 1);
  width: 100%;
}

.sub-contact-form__text:focus,
.sub-contact-form__textarea:focus {
  box-shadow: inset 0 0 0 2px #ab9b9a;
  outline: 0;
}

.sub-contact-form label {
  cursor: pointer;
  display: inline-block;
  position: relative;
}

.sub-contact-form__item .Form-Item-Textarea {
  margin-left: 0;
  padding-left: 0;
  max-width: none;
}

.Form-Item-Input select option {
  font-weight: normal;
}

.sub-contact-form__consent {
  margin-top: 4.8rem;
  text-align: center;
}

.sub-contact-form__item:not(:first-child) {
  margin-top: 2rem;
}

input,
button,
select,
textarea {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background: transparent;
  border: none;
  border-radius: 0;
  font: inherit;
}

.sub-contact-form__item .Form-Item-Input {
  padding: 1em;
  flex: 1;
  max-width: none;
  margin: auto;
}

.sub-contact-form__item .select {
  font-size: 1.6rem;
  color: #333;
  padding: 0 10px;
  border: 1px solid #ddd;
  width: 100%;
  display: block;
  height: 49px;
  margin: 0;
  border-radius: 6px;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  background-color: #fff;
  background-image: url(data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23000000%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E);
  background-repeat: no-repeat;
  background-position: right 0.7em top 50%;
  background-size: 0.65em auto;
}

.mwform-radio-field .horizontal-item {
  margin-left: 0;
}

.mwform-checkbox-field input,
.mwform-radio-field input {
  margin-right: 5px;
}

.mwform-checkbox-field-text::before,
.mwform-checkbox-field-text::after {
  content: "";
  display: inline-block;
  position: absolute;
}

.mwform-checkbox-field-text::before {
  border: 2px solid #ab9b9a;
  border-radius: 0;
  height: 24px;
  left: 0;
  top: calc(50% - 12px);
  transition: opacity 0.5s cubic-bezier(0.19, 1, 0.22, 1),
    transform 0.5s cubic-bezier(0.19, 1, 0.22, 1);
  width: 24px;
}

.mwform-checkbox-field-text::after {
  border-bottom: 2px solid transparent;
  border-right: 2px solid transparent;
  height: 16px;
  left: 8px;
  opacity: 0;
  top: calc(50% - 10px);
  transform: rotate(-225deg);
  transition: border-color 0.5s cubic-bezier(0.19, 1, 0.22, 1),
    opacity 0.5s cubic-bezier(0.19, 1, 0.22, 1),
    transform 0.5s cubic-bezier(0.19, 1, 0.22, 1);
  width: 8px;
}

input[type="checkbox"]:checked~.mwform-checkbox-field-text::before {
  opacity: 0;
  transform: scale3d(2, 2, 1) rotate(45deg);
}

input[type="checkbox"]:checked~.mwform-checkbox-field-text::after {
  border-color: #ab9b9a;
  opacity: 1;
  transform: rotate(45deg);
}

.mw_wp_form_input .-input-none {
  display: none;
}

.mw_wp_form_confirm .-confirm-none {
  display: none;
}

.mwform-radio-field input[type="radio"],
.mwform-checkbox-field input[type="checkbox"] {
  display: none;
}

.mwform-radio-field input[type="radio"]+span,
.mwform-checkbox-field input[type="checkbox"]+span {
  position: relative;
  display: inline-block;
  margin: 0 30px 0 0;
  padding: 0 0 0 28px;
  font-size: 1.6rem;
  line-height: 1.3;
  text-align: left;
  cursor: pointer;
}

.margin-padding-style .mwform-radio-field input[type="radio"]+span,
.mwform-checkbox-field input[type="checkbox"]+span {
  margin: auto;
  padding: 0 0 0 25px;
}

.mwform-radio-field input[type="radio"]+span::before,
.mwform-checkbox-field input[type="checkbox"]+span::before {
  position: absolute;
  top: 3px;
  left: 0;
  display: inline-block;
  width: 18px;
  height: 18px;
  border: 1px solid #ab9b9a;
  background: #fff;
  vertical-align: sub;
  content: "";
}

.mwform-radio-field input[type="radio"]+span::after,
.mwform-checkbox-field input[type="checkbox"]+span::after {
  position: absolute;
  top: 7px;
  left: 4px;
  display: inline-block;
  width: 10px;
  height: 10px;
  content: "";
  opacity: 0;
  -webkit-transition: opacity 0.3s cubic-bezier(0.19, 1, 0.22, 1);
  transition: opacity 0.3s cubic-bezier(0.19, 1, 0.22, 1);
}

.mwform-radio-field input[type="radio"]:checked+span::after,
.mwform-checkbox-field input[type="checkbox"]:checked+span::after {
  opacity: 1;
}

.mwform-radio-field input[type="radio"]+span::before {
  border-radius: 50%;
}

.mwform-radio-field input[type="radio"]+span::after {
  border-radius: 50%;
  background: #ab9b9a;
}

.mwform-checkbox-field input[type="checkbox"]+span::before {
  border-width: 2px;
  border-radius: 1px;
}

.mwform-checkbox-field input[type="checkbox"]+span::after {
  top: 2px;
  left: 6px;
  width: 5px;
  border: solid #ab9b9a;
  border-width: 0 3px 3px 0;
  color: #ab9b9a;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

@media screen and (max-width: 960px) {
  .property-item__price .num {
    padding-left: 10px;
    font-size: 1.5rem;
  }
}

@media screen and (max-width: 767px) {
  .property-content {
    max-width: 500px;
    width: 100%;
    padding: 10px;
  }

  .property-item {
    width: 100%;
  }
}

@media screen and (max-width: 665px) {
  .property-item {
    width: 100%;
  }

  .property__img {
    height: auto;
  }

  .property__more {
    margin: 0 30px;
  }

  /* .property-item.end .property__images::after {
    } */
}

.no-property-found {
  margin-bottom: 85px;
}

/* common */

.section-h2__heading {
  font-size: 1.875rem;
  font-weight: 500;
  line-height: 1.6;
  text-align: center;
  color: #000;
  border-bottom: double 4px #2b6e4c;
  max-width: 200px;
  margin: 40px auto 25px;
}

/* main */

.sub-propert-content {
  padding-top: 30px;
}

.section_heading {
  font-size: 2.25rem;
  text-align: center;
}

.reserve {
  color: #000;
  margin: 5px 0;
  font-weight: 500;
  text-align: center;
  font-size: 1rem;
}

.reserve::before,
.reserve::after {
  content: "";
  display: inline-block;
  margin: 0 15px;
  width: 20px;
  height: 1px;
  vertical-align: 5px;
  background-color: #000;
}

.property__heading {
  color: #fff;
}

/* property wrap :*/
.property-wraper {
  margin: 60px 0 60px;
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  position: relative;
}

.property__image {
  height: 420px;
  max-height: 450px;
}

.property__image img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.property__image .sub-property__img {
  -o-object-fit: cover;
  object-fit: cover;
  font-family: "object-fit: cover;";
  width: 100%;
  height: 100%;
}

.property__data {
  /* display: flex; */
}

.property__table {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.property__table table {
  /* display: block; */
  width: 100%;
  line-height: 1.5;
  border-collapse: collapse;
}

.property__table table tr {
  border-bottom: #d8d8d8 1px solid;
}

.property__table table tr th {
  padding: 20px 10px;
  font-weight: 700;
  text-align: left;
  white-space: nowrap;
}

.property__table table tr td {
  padding: 20px 10px;
  text-align: left;
}

.property__table table tr td .price {
  font-size: 1.2em;
  font-weight: 500;
  color: #ff0000;
  padding-right: 5px;
}

.property__table table tr td a.map {
  display: inline-block;
  color: #374360;
  text-decoration: underline;
}

.property__table table tr:last-of-type {
  border: none;
}

.button {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
}

.btn {
  width: 45%;
}

/* Define keyframe animation */
@keyframes hoverAnimation {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.1);
  }

  100% {
    transform: scale(1);
  }
}

/* Apply animation to button */
.btn a {
  margin: 10px 0;
  min-width: 160px;
  display: flex;
  background-color: #fff;
  border-radius: 5px;
  border: rgb(52, 52, 52) 1px solid;
  color: rgb(52, 52, 52);
  text-align: center;
  padding: 15px;
  justify-content: center;
  align-items: center;
  transition: background-color 1s ease-in-out, color 0.3s ease-in-out;
}

.btn a:hover {
  background-color: #2b6e4c;
  color: white;
  animation: hoverAnimation 0.3s forwards;
  transition-delay: 0.3s;
}

.plSdetails {
  width: 100%;
  border-collapse: collapse;
  border: solid 1px var(--wh-grey);
  font-size: 14px;
  margin: auto 0;
}

.plSdetails tbody {
  padding: 20px;
}

.plSdetails tr {
  display: flex;
  padding: 0px 20px;
  border-bottom: 0px solid var(--wh-grey);
}

.plSdetails tr:first-child {
  border-bottom: 0px solid var(--wh-grey);
  padding-top: 20px;
}

.plSdetails tr:last-child {
  border-bottom: 0px solid var(--wh-grey);
  padding-bottom: 20px;
}

.plSdetails th {
  width: 120px;
  display: flex;
  text-align: left;
  padding: 15px 5px;
}

.plSdetails td {
  padding: 15px;
  width: calc(50% - 115px);
}

/*==================================================
  スライダーのためのcss
  ===================================*/
.property__slider {
  margin: 80px 0;
}

.image-gallery-wrap {
  width: 70%;
  margin: 0 auto;
}

/* info */
.info {
  margin: 80px 0;
}

.detail-info {
  padding: 25px;
  border: 1px solid #ccc;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  -webkit-flex-wrap: wrap;
  -moz-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

.detail-info li {
  width: 48%;
  padding: 10px 0px;
}

/* row */
.walk {
  font-size: 0.875rem;
  color: #666;
}

.property-view-around {
  margin: 80px 0;
}

/* tablet */
@media only screen and (max-width: 1024px) {
  .sub-property .property-header {
    height: 300px;
  }

  .sub-property .property__heading {
    font-size: 1.875rem;
  }

  .image-gallery-wrap {
    width: 90%;
  }
}

/* smp */

@media only screen and (max-width: 959px) {
  .info {
  margin: 60px 0;
}
  .image-gallery-wrap {
    width: 100%;
  }

  .property-wraper {
    margin: 60px 0 60px;
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
    position: relative;
  }

  .sub-property__img {
    width: 100%;
  }

  .property__data {
    position: static;
    width: auto;
    /* margin-bottom: 50px; */
  }

  .pro .property__table table {
    display: table;
    width: 100%;
  }

  .property__table table tr {
    display: table-row;
  }

  .property__table table tbody {
    display: table;
    width: 100%;
  }

  .property__table table tr th {
    display: table-cell;
    padding: 20px;
  }

  .property__table table tr td {
    display: table-cell;
    padding: 20px;
    text-align: left;
  }

  .plSdetails tr {
    display: flex;
    flex-direction: column;
    /* border-bottom: 1px solid var(--wh-grey); */
  }

  .plSdetails th {
    background-color: var(--wh-grey);
    border-bottom: 1px solid var(--wh-grey);
    border-top: 1px solid var(--wh-grey);
  }

  .plSdetails td,
  .plSdetails th {
    padding: 15px;
    width: 100%;
  }
}

@media only screen and (max-width: 768px) {
  .row {
    grid-template-columns: repeat(2, 1fr);
    row-gap: 150px;
  }

  .image-gallery-wrap {
    width: 100%;
  }
}

@media only screen and (max-width: 559px) {
  .info {
  margin: 30px 0;
}
  .container-property {
    width: 1200px;
    max-width: calc(100% - 20px);
    margin: 0 auto;
  }

  .property__image {
    height: 100%;
  }

  .section_heading {
    font-size: 1.875rem;
  }

  .section-h2__heading {
    font-size: 1.5rem;
    max-width: 180px;
  }

  .button {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;
  }

  .btn {
    width: 90%;
  }

  .plSdetails tr {
    padding: 0px;
  }

  .plSdetails tr:first-child {
    padding-top: 0px;
  }

  .plSdetails tr:last-child {
    padding-bottom: 0px;
  }

  .property__table table tr th {
    padding: 0;
  }

  .property__table table tr td {
    padding: 20px 10px 20px 20px;
  }
}




.search-by-area {
  color: var(--wh-main);
  text-align: center;
  font-size: 30px;
  font-weight: bold;
  margin-bottom: 30px;
}

#property-filter-form {
  padding: 20px 10px;
  border: 2px dashed #000000;
  background-color: #F5F5F5;
  margin-bottom: 30px;
  display: flex;
  justify-content: center;
}

.property-category-filter {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  justify-content: center;
}

.category-option {
  display: flex;
  align-items: center;
  padding: 6px 14px;
  border: 1px solid var(--wh-grey);
  background-color: #f8f8f8;
  cursor: pointer;
  transition: background-color 0.2s, border-color 0.2s;
  user-select: none;
}

.category-option input {
  display: none;
}

.category-option.active {
  background-color: var(--wh-main);
  color: #ffff;
  box-shadow: 0px 3px 6px #00000029;
  border-color: #000000;
}

.disabled {
  color: var(--wh-grey);

}